Bug 120702 - PPTX import: shape text with multiple columns not the same as in MSO
Summary: PPTX import: shape text with multiple columns not the same as in MSO
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:pptx
Depends on:
Blocks: Textbox-column
  Show dependency treegraph
 
Reported: 2018-10-19 10:54 UTC by Timur
Modified: 2021-06-09 12:25 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
The example file in PP and todays nightly (70.75 KB, image/png)
2021-06-09 12:24 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Timur 2018-10-19 10:54:22 UTC
In Bug 120028 filopen of PPTX shape text with multiple columns was fixed, as seen for attachment 145086 [details] in attachment 145798 [details].

What remains and is a follow-up is the issue with 3 columns that can be tested with PPTX attachment 145366 [details]. Look is not the same as in MSO. 

I'd say "minor". Although backported, I'll set from 6.2.
May need more detailed looking into shape type and size, for not being a duplicate.
Comment 1 Xisco Faulí 2018-10-19 12:30:39 UTC
SEtting this to NEW
Comment 2 QA Administrators 2021-01-08 04:19:27 UTC Comment hidden (obsolete)
Comment 3 NISZ LibreOffice Team 2021-01-18 15:54:38 UTC
Now it's differently bad.
Comment 4 NISZ LibreOffice Team 2021-06-09 12:24:22 UTC
Created attachment 172733 [details]
The example file in PP and todays nightly

Looks a bit better after bug #118458 was fixed, but not perfect in:

Version: 7.2.0.0.alpha1+ (x64) / LibreOffice Community
Build ID: 31ed81ea71a20ec119805f66a42f99b3f80d2dc5
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: default; VCL: win
Locale: el-GR (hu_HU); UI: en-US
Calc: CL

There are one more lines placed in the first two columns than in PP.

However clicking inside the 3 columns part and out of it changes the layout to match PP.
Comment 5 NISZ LibreOffice Team 2021-06-09 12:25:31 UTC
@Mike I thought you might be interested in this one.